{% extends "base.html" %}

{% block content %}
    <main>
        <div>
            <h1 class="text-white">{{ show_project.name }}</h1>
            <p class= "text-white">{{ show_project.description }}</p>
            <h2 class= "text-white">Tasks</h2>
            <p>
                <ul>
                    <li><a href="{% url "create_task" %}">Create a new task</a></li>
                    <li><a href="{% url "show_gantt" show_project.id %}">Show Gantt Chart</a></li>
                </ul>
            </p>
            {% for task in show_project.tasks.all %}
            {% empty %}
                <p class="text-white">This project has no tasks</p>
            {% endfor %}
            <div class="shadow-lg p-3 mb-5 bg-body rounded">
                <table class="table table-dark table-hover">
                    <thead class = "text-light">
                        <th>Name</th>
                        <th>Assignee</th>
                        <th>Start Date</th>
                        <th>Due Date</th>
                        <th>Is Completed</th>
                    </thead>
                    <tbody class = "text-light">
                        {% for task in show_project.tasks.all %}
                            <tr>
                                <td>{{ task.name }}</td>
                                <td>{{ task.assignee }}</td>
                                <td>{{ task.start_date|date:"Y-m-d" }}</td>
                                <td>{{ task.due_date|date:"Y-m-d" }}</td>
                                <td>{{ task.is_completed|yesno }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </main>
{% endblock content %}
